/* cups-config-daemon.h - Configure cups printer drivers via D-BUS
 *
 * Copyright (C) 2002, 2003  Red Hat Inc.
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include <glib.h>
#include <glib-object.h>

#ifndef _CUPS_CONFIG_DAEMON_H_
#define _CUPS_CONFIG_DAEMON_H_

#define CUPS_DRIVER_CONFIG_PATH      "/com/redhat/CupsDriverConfig"
#define CUPS_DRIVER_CONFIG_NAMESPACE "com.redhat.CupsDriverConfig"

#define CUPS_DRIVER_CONFIG_SET_DRIVER_METHOD "SetDriver"
#define CUPS_DRIVER_CONFIG_MATCH_DRIVER_METHOD "MatchDriver"

#define CUPS_DRIVER_CONFIG_DRIVER_NOT_FOUND_ERROR "com.redhat.CupsDriverConfig.DriverNotFound"

G_BEGIN_DECLS

typedef struct CupsConfigDaemonPrivate CupsConfigDaemonPrivate;

typedef struct _CupsConfigDaemon 
{
	GObject parent;

	CupsConfigDaemonPrivate *priv;
} CupsConfigDaemon;

typedef struct _CupsConfigDaemonClass
{
	GObjectClass parent;
} CupsConfigDaemonClass;

#define CUPS_TYPE_CONFIG_DAEMON (cups_config_daemon_get_type())
#define CUPS_CONFIG_DAEMON(object) (G_TYPE_CHECK_INSTANCE_CAST((object), CUPS_TYPE_CONFIG_DAEMON, CupsConfigDaemon))
#define CUPS_CONFIG_DAEMON_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), CUPS_TYPE_CONFIG_DAEMON, CupsConfigDaemon))
#define CUPS_IS_CONFIG_DAEMON(object) (G_TYPE_CHECK_INSTANCE_TYPE((object), CUPS_TYPE_CONFIG_DAEMON))
#define CUPS_IS_CONFIG_DAEMON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), CUPS_TYPE_CONFIG_DAEMON))
#define CUPS_CONFIG_DAEMON_GET_CLASS(object) (G_TYPE_INSTANCE_GET_CLASS((object), CUPS_TYPE_CONFIG_DAEMON, CupsConfigDaemon))

CupsConfigDaemon *cups_config_daemon_new   ();

G_END_DECLS
#endif
